Menu
Amazon Chime
User Guide

Review System Requirements

Before you get set up with Amazon Chime, first make sure that you meet the following requirements for your operating system.

Amazon Chime works on common versions of the most popular operating systems. In most cases, you can just download Amazon Chime and it will work.

Windows

Supported versions:

  • Windows 7, 32-bit and 64-bit

  • Windows 8.1, 32-bit and 64-bit

  • Windows 10, 32-bit and 64-bit

Hardware requirements:

  • Microphone and speakers (for phone calls)

  • Webcam (for sharing video)

Software requirements:

  • .NET 4.0 Full Profile (for Amazon Chime client)

    Note

    If this is missing, Amazon Chime will prompt the user to download it during installation.

Screen share configuration requirements:

  • Screen Share must be set to Aero and Non-Aero themes.

  • Display Setting Scaling must be set to 100% and custom settings.

Microsoft Outlook Add-in:

  • Microsoft Outlook 2010, 2013, and 2016 are supported.

Mac OS

Supported versions:

  • OS X 10.10 and later

Hardware requirements:

  • Microphone and speakers (for phone calls)

  • Webcam (for sharing video)

Android

Supported versions:

  • Android OS 3.0 and later

Software requirements:

  • OpenGL ES is required for the screen share viewer.

  • Google Services and Google Account are required for the best messaging experience.

Hardware requirements:

  • Some features are not available on devices without Bluetooth, telephony, or Wi-Fi.

  • Tablet and phone devices are supported.

  • Kindle Fire tablets are currently not supported.

iOS

Supported versions:

  • iOS 10.0 and later

Supported devices:

  • iPad Air, Air 2, Mini, Mini 2, Mini 3, 4th generation, 3rd generation, iPad 2

  • iPhone 6 Plus, 6, 5S, 5C, 5, 4S

  • iPod Touch 5th generation

    Note

    PSTN dial-in functionality is not available on devices without telephony.

Browser Requirements

Supported browsers:

  • Internet Explorer Edge, 9, 10, and 11 (Desktop and Metro mode)

  • Firefox 48 and later

  • Chrome 54 and later